#ifndef CANVAS_H
#define CANVAS_H

#include <QWidget>
#include "model.h"

class Canvas : public QWidget {

	Q_OBJECT

	private:

	public:

		Canvas(QWidget* p = 0);
		
		QSize minimumSizeHint() const;
		QSize sizeHint() const;

	protected:
		void paintEvent(QPaintEvent*);

	private:
		void		paintNoModel();
		QRect		paintObj(Object*,int,QPainter&);
		void		paintPolyObj(Shape*,QPainter&);
		void		paintElliObj(Shape*,QPainter&);

};

#endif
