#ifndef DATA_H
#define DATA_H

#include "model.h"
#include <QFont>

namespace Data {
	
	Model*	currModel();
	int		currTime();
	QFont		font();

	void	insertModel(Model* m);
	void	clearModels();
	void	setFont(QFont);
	void	resetTime();
	bool	nextTime();
	bool	prevTime();

}

#endif
